[PC-BSD Commits] r15425 - in pcbsd/current/src-qt4/pc-xgui/resources: bin scripts
svn at pcbsd.org
svn at pcbsd.org
Thu Feb 16 10:20:21 PST 2012
Author: kris
Date: 2012-02-16 18:20:21 +0000 (Thu, 16 Feb 2012)
New Revision: 15425
Modified:
pcbsd/current/src-qt4/pc-xgui/resources/bin/rundetect.sh
pcbsd/current/src-qt4/pc-xgui/resources/scripts/xinit-autodetect
Log:
Fix using the "nvidia" driver by default, also properly exit when user is happy with resolution
Modified: pcbsd/current/src-qt4/pc-xgui/resources/bin/rundetect.sh
===================================================================
--- pcbsd/current/src-qt4/pc-xgui/resources/bin/rundetect.sh 2012-02-16 17:44:49 UTC (rev 15424)
+++ pcbsd/current/src-qt4/pc-xgui/resources/bin/rundetect.sh 2012-02-16 18:20:21 UTC (rev 15425)
@@ -124,6 +124,8 @@
# Copy over the new xorg.conf
cp /root/xorg.conf.new /etc/X11/xorg.conf
AUTORES="YES"
+ # Use nvidia driver
+ sed -i '' 's|"nv"|"nvidia"|g' /etc/X11/xorg.conf
fi
elif [ "${ATTEMPT}" = "1" ] ; then
# Try running the driver detection again
Modified: pcbsd/current/src-qt4/pc-xgui/resources/scripts/xinit-autodetect
===================================================================
--- pcbsd/current/src-qt4/pc-xgui/resources/scripts/xinit-autodetect 2012-02-16 17:44:49 UTC (rev 15424)
+++ pcbsd/current/src-qt4/pc-xgui/resources/scripts/xinit-autodetect 2012-02-16 18:20:21 UTC (rev 15425)
@@ -13,9 +13,13 @@
/usr/local/bin/startfluxbox &
PID=$!
/usr/local/bin/pc-xgui -firstprompt
+if [ "$?" = "0" ] ; then
+ echo "Canceled" > ${XGUITMP}/.canceled
+ kill -9 ${PID}
+ exit 0
+fi
/usr/local/bin/pc-xgui
-if [ "$?" = "1" ]
-then
+if [ "$?" = "1" ] ; then
echo "Canceled" > ${XGUITMP}/.canceled
fi
kill -9 ${PID}
More information about the Commits
mailing list